## net.dontdrinkandroot.utils.resource
Class StreamableWebResource

    java.lang.Object
      net.dontdrinkandroot.utils.resource.StreamableWebResource

Direct Known Subclasses:
  CachedFileResource

    public abstract class StreamableWebResource

extends java.lang.Object

Constructor Summary
`StreamableWebResource()`

Method Summary
`abstract java.lang.Long` `getContentLength()`
`abstract java.lang.String` `getContentType()`
`abstract java.lang.Integer` `getErrorCode()`
`abstract java.lang.String` `getErrorMessage()`
`abstract java.lang.Long` `getExpiry()`
`abstract java.lang.String` `getFileName()`
`abstract java.lang.Long` `getLastModified()`
`abstract java.lang.String` `getTextEncoding()`
`abstract void` `write(java.io.OutputStream os)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StreamableWebResource

    public StreamableWebResource()

Method Detail

### write

    public abstract void write(java.io.OutputStream os)
                        throws java.io.IOException

  Throws:
    `java.io.IOException`

### getErrorCode

    public abstract java.lang.Integer getErrorCode()

### getErrorMessage

    public abstract java.lang.String getErrorMessage()

### getFileName

    public abstract java.lang.String getFileName()

### getContentType

    public abstract java.lang.String getContentType()

### getTextEncoding

    public abstract java.lang.String getTextEncoding()

### getContentLength

    public abstract java.lang.Long getContentLength()

### getLastModified

    public abstract java.lang.Long getLastModified()

### getExpiry

    public abstract java.lang.Long getExpiry()

Copyright © 2013 dontdrinkandroot. All Rights Reserved.